Несколько уязвимостей в Advanced Guestbook

Дата публикации:
11.05.2007
Всего просмотров:
1579
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-0605
CVE-2007-0608
CVE-2007-0609
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Advanced Guestbook 2.x
Уязвимые версии: Advanced Guestbook 2.4.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "lang" в файле куки в сценарии index.php. Удаленный пользователь может просмотреть содержимое произвольных файлов на системе. Для удачной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за того, что сценарии /codes-english.php и images.php в сообщении об ошибке раскрывают имя базы данных приложения.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "picture" в сценарии picture.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Для успешной эксплуатации уязвимостей #2 и #3 опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.proxy2.de/scripts.php

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA